Name: 		gtk-theme-step-into-freedom
Version: 	1.5.1
Release: 	%mkrel 1
Summary: 	A pretty theme for Gnome
Summary(de): 	Ein schönes Thema für Gnome
Group:   	System/Configuration/Theme
License: 	GPLv2
URL:     	http://www.bisigi-project.org
Source1:  	freedom-gdm.tar.bz2
Source2: 	freedom-gtk.tar.bz2
Source3:    	freedom-icons.tar.bz2
Source4:	step-into-freedom.emerald
Source5:	freedom.jpg
Source6:	freedom1.jpg
Source7:    	freedom1-1610.jpg
Source8:    	freedom1610.jpg
Source9:	freedom-wallpaper.xml
Source10:   	COPYING
Source11:   	credits.txt 
BuildArch:	noarch
Requires:   	murrine
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root


%description
Step into freedom theme contains a full theme for GNOME based system.
It includes the following components:
   * "tropical" wallpaper
   * GTK+ theme
   * Metacity theme
   * Emerald theme
   * Icons set
%description -l de
Step into freedom theme enthält eine vollständiges Theme für GNOME-basierte Systeme.
Es umfasst folgende Komponenten:
   * Hintergrundbild (Wallpaper)
   * GTK+ Theme
   * Metacity Theme
   * Emerald Theme
   * Icon-Set

%prep

tar --bzip2 -xf %{SOURCE1}
tar --bzip2 -xf %{SOURCE2}
tar --bzip2 -xf %{SOURCE3}

%install

export DONT_STRIP=1

rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/themes/step-into-freedom
install -d %{buildroot}%{_datadir}/icons/step-into-freedom
install -d %{buildroot}%{_datadir}/gdm/themes
install -d %{buildroot}%{_datadir}/pixmaps/backgrounds/freedom
install -d %{buildroot}%{_datadir}/gnome-background-properties
install -d %{buildroot}%{_datadir}/doc/step-into-freedom
install -d %{buildroot}%{_datadir}/emerald/themes/step-into-freedom

cp -r ./freedom-gtk/* %{buildroot}%{_datadir}/themes/step-into-freedom/
cp -r ./freedom-icons/* %{buildroot}%{_datadir}/icons/step-into-freedom/
cp -r ./freedom-gdm/* %{buildroot}%{_datadir}/gdm/themes/

install -m 644 %SOURCE4 $RPM_BUILD_ROOT%{_datadir}/emerald/themes/step-into-freedom/step-into-freedom.emerald
install -m 644 %SOURCE5 $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/freedom/freedom.jpg
install -m 644 %SOURCE6 $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/freedom/freedom1.jpg
install -m 644 %SOURCE7 $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/freedom/freedom1-1610.jpg
install -m 644 %SOURCE8 $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/freedom/freedom1610.jpg
install -m 644 %SOURCE9 $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/freedom-wallpaper.xml
install -m 644 %SOURCE10 $RPM_BUILD_ROOT%{_docdir}/step-into-freedom/COPYING
install -m 644 %SOURCE11 $RPM_BUILD_ROOT%{_docdir}/step-into-freedom/credits.txt

%clean
rm -fr %buildroot

%files 
%defattr(-,root,root,-)
%{_docdir}/step-into-freedom/*
%{_datadir}/themes/step-into-freedom/*
%{_datadir}/icons/step-into-freedom/*
%{_datadir}/gdm/themes/*
%{_datadir}/emerald/themes/step-into-freedom/step-into-freedom.emerald
%{_datadir}/gnome-background-properties
%{_datadir}/pixmaps/backgrounds/freedom/*

%changelog
* Sun Nov 08 2009 maik3531 <maik3531 at yahoo dot de> step-into-freedom-theme-1.5.1-1pclos2010
- build for pclos 

